summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorFredrik Fornwall <fredrik@fornwall.net>2014-08-20 23:52:05 +0200
committerFredrik Fornwall <fredrik@fornwall.net>2014-08-20 23:52:05 +0200
commitdac2a6e27a23071226495bfee54b390135cb20b6 (patch)
tree42e5e8f13bd313b41b79218e543fa03855153e0f /tools
parent1b7a3ea99a8b566510ab7881063148c43be6b98d (diff)
downloadzsh-dac2a6e27a23071226495bfee54b390135cb20b6.tar.gz
zsh-dac2a6e27a23071226495bfee54b390135cb20b6.tar.bz2
zsh-dac2a6e27a23071226495bfee54b390135cb20b6.zip
Replace /usr/bin/env with env
Some environments (such as Android) does not have /usr/bin.
Diffstat (limited to 'tools')
-rw-r--r--tools/check_for_upgrade.sh2
-rwxr-xr-xtools/install.sh4
2 files changed, 3 insertions, 3 deletions
diff --git a/tools/check_for_upgrade.sh b/tools/check_for_upgrade.sh
index 8b8ecae03..35e074297 100644
--- a/tools/check_for_upgrade.sh
+++ b/tools/check_for_upgrade.sh
@@ -9,7 +9,7 @@ function _update_zsh_update() {
}
function _upgrade_zsh() {
- /usr/bin/env ZSH=$ZSH /bin/sh $ZSH/tools/upgrade.sh
+ env ZSH=$ZSH /bin/sh $ZSH/tools/upgrade.sh
# update the zsh file
_update_zsh_update
}
diff --git a/tools/install.sh b/tools/install.sh
index fc7ad70cf..7efab10b9 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -10,7 +10,7 @@ if [ -d "$ZSH" ]; then
fi
echo "\033[0;34mCloning Oh My Zsh...\033[0m"
-hash git >/dev/null 2>&1 && /usr/bin/env git clone https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
+hash git >/dev/null 2>&1 && env git clone https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
echo "git not installed"
exit
}
@@ -43,5 +43,5 @@ echo "\033[0;32m"'\____/_/ /_/ /_/ /_/ /_/\__, / /___/____/_/ /_/ '"\033[0m
echo "\033[0;32m"' /____/ ....is now installed!'"\033[0m"
echo "\n\n \033[0;32mPlease look over the ~/.zshrc file to select plugins, themes, and options.\033[0m"
echo "\n\n \033[0;32mp.s. Follow us at http://twitter.com/ohmyzsh.\033[0m"
-/usr/bin/env zsh
+env zsh
. ~/.zshrc